Jump to content

[1.3.1 - 1.9.x] Outer Planets Mod [v2.2.8] [20th July 2020]


Recommended Posts

4 hours ago, Poodmund said:

https://github.com/Poodmund/Outer-Planets-Mod/blob/master/GameData/OPM/OPM_CommNet.cfg

Seems to be fine, the 4th level is there. You'll need to post all the necessary logs for me to be able to see what may be going wrong.

I do have that file in the appropriate directory in my GameData... Strange. Here is my KSP.log. I am unsure which part is relevant, so I copied the whole thing:

https://easyupload.io/c2sixl

I loaded up the game, entered my save, and right-clicked the Tracking Station. That's the point at which I copied the log.

EjZEH8B.png

As you can see, Tracking Station is at level 3, but I don't see any way to upgrade it.

 

Link to post
Share on other sites

@aluc24 it seems you are using Custom Bark Kit v1.1.20, which is designed to be run on KSP 1.8+,  on a KSP 1.7.3 install. Please be careful when updating mods to the latest versions when you are using an outdated version of KSP... especially between KSP 1.7.3 and KSP 1.8+ because there is a critical game engine change which renders most mods unusable between the two versions.

Downgrade back to Custom Barn Kit v1.1.19 and it should be fine.

Link to post
Share on other sites
Just now, Poodmund said:

@aluc24 it seems you are using Custom Bark Kit v1.1.20, which is designed to be run on KSP 1.8+,  on a KSP 1.7.3 install. Please be careful when updating mods to the latest versions when you are using an outdated version of KSP... especially between KSP 1.7.3 and KSP 1.8+ because there is a critical game engine change which renders most mods unusable between the two versions.

Downgrade back to Custom Barn Kit v1.1.19 and it should be fine.

My mistake, then. Thank you for taking the time looking into the log and figuring it out. As I don't use CKAN (I was told that it's better/safer to maintain mods manually), sometimes mistakes happen. Thanks again.

Link to post
Share on other sites
1 hour ago, aluc24 said:

My mistake, then. Thank you for taking the time looking into the log and figuring it out. As I don't use CKAN (I was told that it's better/safer to maintain mods manually), sometimes mistakes happen. Thanks again.

No worries. :D Glad it got sorted.

Link to post
Share on other sites
  • 2 weeks later...
On 8/24/2019 at 3:02 PM, Poodmund said:

I think its tied into the Science 'Recovery' Multiplier value for each body as SetDeadlineYears depends on GetContractDestinationWeight which depends on body.scienceValues.RecoveryValue so by changing something like: https://github.com/Poodmund/Outer-Planets-Mod/blob/master/GameData/OPM/KopernicusConfigs/OuterPlanets/Plock.cfg#L35 to a higher number may in fact increase the duration of the contracts upon their generation (will not affect existing contracts).

If you're willing to test this out, then please let me know.

I am testing this now. Just got a one-way Karen/Plock contract with a duration of 17 years which is probably unworkable below a 15km/s dV budget. Nissee 29 years. Urlum 26 years -- doable.

After cfg change:

 

Edited by ExtremeSquared
Link to post
Share on other sites
3 hours ago, ExtremeSquared said:

I am testing this now. Just got a one-way Karen/Plock contract with a duration of 17 years which is probably unworkable below a 15km/s dV budget. Nissee 29 years. Urlum 26 years -- doable.

After cfg change:

 

...

I will await your results with baited breath :D

Link to post
Share on other sites
  • 2 weeks later...
  • 2 weeks later...
1 hour ago, IstanbulNotKonstantinople said:

I just read the whole thread and saw nothing about principia, should I just go ahead with the install and see what happens? Or does somebody already know if it's actually stable under n-body physics

Principia has OPM compatibility built into it. You should be good to go.

Link to post
Share on other sites

For some reason none of the planets are showing up for me, i removed every mod except ModuleManager, CTTP, OPM and Kopernicus but that still didn't fix it. I can't see them in the tracking station or on the map. I don't need to discover them or something right? I'm on a sandbox save in 1.8.1 if that helps.C4vNNDq.png

Link to post
Share on other sites
19 minutes ago, Tntman93 said:

For some reason none of the planets are showing up for me, i removed every mod except ModuleManager, CTTP, OPM and Kopernicus but that still didn't fix it. I can't see them in the tracking station or on the map. I don't need to discover them or something right? I'm on a sandbox save in 1.8.1 if that helps.C4vNNDq.png

Kopernicus isn't updated for 1.8 so no planet packs, including this one, work on 1.8

Link to post
Share on other sites

Kopernicus is alive again [Link to license-violating unauthorized Kopernicus fork removed by moderator]

Has anyone from this project actually declared that an update is coming?  Or has the army of minions been beating back all attempts to acquire information on the basis that the volunteers are not to be questioned in any way - not even to ask if they exist?

 

Of course the answer is "yes" - that's what minions do instead of answering all the questions that they intend to shelter the devs from.

Perhaps one can be persuaded to help the thousands of people reading this who are now too afraid to ask.  Me?  Do nothing for me - there are lots of nice people who want to know as well.

Edited by Snark
Redacted by moderator
Link to post
Share on other sites

Hello @T.Lago, and welcome to the forums!  :)

3 hours ago, T.Lago said:

Kopernicus is alive again [Link to license-violating unauthorized Kopernicus fork removed by moderator]

Actually, no it isn't.  We're still waiting on Kopernicus to release its KSP 1.8.1 update.

Sorry, but we had to remove the link to the unauthorized fork you mention, since it appears to be in violation of Kopernicus' license and is therefore not allowed to link to in this forum.  (Also, please note that anybody spreading around unauthorized unlocked versions of Kopernicus is going to make life a living hell for the Kopernicus maintainers, who put that version lock in for a good reason.  So, it's generally not a good idea to spread such links, unless of course one simply doesn't care about the Kopernicus authors, or what they do for us, or whether they're going to want to keep maintaining the mod when people do this sort of thing.  Just something to think about.)

Link to post
Share on other sites

Not a fork.  No code exposed.  Your reason spurious and unhelpful.  Your need to remove the link is like a poke in the eye to sense, reason and everyone who thinks that this is a game - a game that would be fun to play... with more planets.  What is the point of making it poisonous? 

 

You want to be helpful?  Isolate devs so they can work?  Then do your job and answer questions.  Maybe then when you meet people they won't be so riled up.

Link to post
Share on other sites
4 hours ago, T.Lago said:

Not a fork.

Terminology issue. Not technically a "fork" in the github sense, but absolutely a fork in the common parlance of KSP mod users, i.e. "a different version, concurrently released, separately from the main project by the original author." Sorry, didn't realize that wasn't obvious.

4 hours ago, T.Lago said:

No code exposed. 

Which is itself a violation of the forum's policy. Any released mod must expose its code. Simply recompiling a DLL after tweaking some code, and then releasing the DLL, is not allowed.

4 hours ago, T.Lago said:

You want to be helpful? 

In this case, it's not about being "helpful", it's about following the rules that all mod authors here do. The rules are posted here.

Those rules are there for a reason, and all mod authors here must abide by them. Yes, those rules can be inconvenient sometimes, but there are reasons for them (including legal ones), and they're not optional. It's not as though the author of this Kopernicus fork is entitled to any special treatment; they need to follow the same rules as everyone else.

In any case, this matter is off-topic for this thread, so please drop the subject here. If you disagree with the mod-posting rules and would like to discuss them, you can always spin up a topic in Add-on Discussions to talk about it.

Thank you for your understanding.

Link to post
Share on other sites
  • 3 weeks later...
2 hours ago, kspnerd122 said:

please update to 1.8 i had to uninstall to update the game so half my saves are unusable

Outer Planets likely won't need any changes for 1.8 - once it's dependency of Kopernicus updates.

Link to post
Share on other sites
  • 3 weeks later...

Been trying to track down the problem where contract deadlines are smaller than Hohmann transfer times and failing completely. This is the nature of the contract system. I suspect transient sets of conditions happen in the randomized contract generation -- maybe hasty plus conglomerate modifiers -- which cause this issue. So it causes an unexpected problem a couple times in-game and then when actively seeking the issue, it becomes impossible to track down again.

My vote is that best fix for this is just "be careful when accepting OPM contracts". Changing the base modifiers to increase contract deadline time would make it too easy the rest of the time. And near-impossible contracts popping up is nothing new to KSP.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...